CRMchat APIBeta

List campaign leadsExperimental

Experimental endpoint

This endpoint is still evolving and may change in future releases. If you use it, be prepared to update your integration as the API develops.
GET
/workspaces/{workspaceId}/outreach/sequences/{sequenceId}/leads

Returns all campaign leads with their message delivery state and duplicate information in a single response.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string
sequenceId*string

Query Parameters

stopReason?string

Value in

  • "invalidUsername"
  • "phoneUnreachable"
  • "usernameAndPhoneUnreachable"
  • "replied"
  • "removed-by-user"
  • "duplicate"
  • "chat-deleted"
  • "user-deactivated"
  • "payment-required"
  • "blocked"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/outreach/sequences/string/leads"
{  "data": [    {      "lead": {        "id": "string",        "type": "user",        "contactId": "string",        "username": "string",        "phone": "string",        "stopReason": "invalidUsername",        "duplicates": {          "lists": [            "string"          ],          "contacts": [            "string"          ],          "accounts": [            "string"          ]        },        "properties": {          "property1": "string",          "property2": "string"        }      },      "accountId": "string",      "messages": {        "property1": {          "id": "string",          "sequenceMessageId": "string",          "accountId": "string",          "status": "pending",          "scheduledAt": "2019-08-24T14:15:22Z",          "sentAt": "2019-08-24T14:15:22Z",          "readAt": "2019-08-24T14:15:22Z",          "repliedAt": "2019-08-24T14:15:22Z",          "blockedAt": "2019-08-24T14:15:22Z",          "error": "string",          "retryAttemptsLeft": 0        },        "property2": {          "id": "string",          "sequenceMessageId": "string",          "accountId": "string",          "status": "pending",          "scheduledAt": "2019-08-24T14:15:22Z",          "sentAt": "2019-08-24T14:15:22Z",          "readAt": "2019-08-24T14:15:22Z",          "repliedAt": "2019-08-24T14:15:22Z",          "blockedAt": "2019-08-24T14:15:22Z",          "error": "string",          "retryAttemptsLeft": 0        }      }    }  ],  "list": {    "id": "string",    "workspaceId": "string",    "properties": [      "string"    ]  }}